package com.jiuqi.mde;

import java.sql.PreparedStatement;
import java.sql.SQLException;

class StatementCache {
   PreparedStatement updateStatement;
   PreparedStatement insertStatement;
   PreparedStatement deleteStatement;
   PreparedStatement updateByIdentyStatement;
   PreparedStatement deleteByIdentyStatement;

   public void clear() {
      this.updateStatement = null;
      this.insertStatement = null;
      this.deleteStatement = null;
      this.updateByIdentyStatement = null;
      this.deleteByIdentyStatement = null;
   }

   public void close() throws SQLException {
      PreparedStatement temp;
      if (this.updateStatement != null) {
         temp = this.updateStatement;
         temp.close();
      }

      if (this.insertStatement != null) {
         temp = this.insertStatement;
         temp.close();
      }

      if (this.deleteStatement != null) {
         temp = this.deleteStatement;
         temp.close();
      }

      if (this.updateByIdentyStatement != null) {
         temp = this.updateByIdentyStatement;
         temp.close();
      }

      if (this.deleteByIdentyStatement != null) {
         temp = this.deleteByIdentyStatement;
         temp.close();
      }

   }
}
